.character {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

svg {
  filter: drop-shadow(10px 10px 1px rgba(0, 0, 0, 0.4));
}

.head {
  transform-origin: bottom;
  transform-box: fill-box;
  animation: head-tilting 8s ease infinite;
}

.body {
  transform-origin: bottom;
  transform-box: fill-box;
}

.shoe-l {
  transform-origin: center;
  transform-box: fill-box;
  animation: shoe-tilting 4s linear infinite;
}

.shoe-r {
  transform-origin: center;
  transform-box: fill-box;
  animation: shoe-tilting 4s linear infinite reverse;
}

@keyframes head-tilting {
  0%,
  50%,
  100% {
    transform: rotate(0deg);
  }
  25% {
    transform: rotate(-5deg);
  }

  75% {
    transform: rotate(5deg);
  }
}

@keyframes shoe-tilting {
  0%,
  50%,
  100% {
    transform: rotate(0deg) scaleY(1);
  }
  25% {
    transform: rotate(-8deg) scaleY(1.1);
  }
  75% {
    transform: rotate(8deg) scaleY(0.9);
  }
}
